/*
 *				   dates.h
 *
 *	Declarations for the date calculation routines.
 *
 *						   {c}Copyright 1991 Crazy Jack
 *							    All Rights Reserved
 */

/* NOTE: If you use ZZDay, ZDate or YDate, you must arrange to have "dates.obj"
	 linked into your program.
*/
			/* Day number from Gregorian date.		     */
unsigned long int far pascal ZDay(			/* Returns Day Number*/
				   unsigned int Year,	/* User's year.      */
				   unsigned int Month,	/* User's month.     */
				   unsigned int Day );	/* User's day.       */

			/* Gregorian date from day number.*/
int far pascal ZDate(				  /* TRUE if conversion okay.*/
		     unsigned long int DayNumber, /* User's Day Number.      */
		     unsigned int far *Year,	  /* Returned Year.	     */
		     unsigned int far *Month,	  /* Returned Month.	     */
		     unsigned int far *Day );	  /* Returned Day of Month.  */

			/* Day of year from Gregorian date.		     */
unsigned int YDay(			/* Returns Day of Year. 	     */
		  unsigned int Year,	/* User's Year.                      */
		  unsigned int Month,	/* Uder's Month.                     */
		  unsigned int Day );	/* User's Day of month.              */
#define YDay(y,m,d) ( (unsigned int)( ZDay((y),(m),(d)) - ZDay((y),1,0) ) )

/* NOTE: If you use DOW or MonthName in your program, remember to copy in or
	 #include "datenams.c" in one of your modules.
*/
			/* Name of Day of Week from day of week number:      */
char *DOW(				/* Returns Day name as string.	     */
	  unsigned int DNmbr ); 	/* User's Day of Week (0..7).        */

			/* Name of Month from Gregorian month number:	     */
char *MonthName(			/* Returns Month name as string.     */
		unsigned int MNmbr );	/* User's month number               */
